yaml-0.8.22: Support for parsing and rendering YAML documents.

Safe Haskell | None
Language | Haskell98

Data.Yaml.Include

Synopsis

- decodeFile :: FromJSON a => FilePath -> IO (Maybe a)
- decodeFileEither :: FromJSON a => FilePath -> IO (Either ParseException a)

# Documentation

decodeFile :: FromJSON a => FilePath -> IO (Maybe a) #

Like `decodeFile` but with support for relative and absolute includes.

The syntax for includes follows the form:

    somekey: !include ./somefile.yaml

decodeFileEither :: FromJSON a => FilePath -> IO (Either ParseException a) #

Like `decodeFileEither` but with support for relative and absolute includes.

The syntax for includes follows the form:

    somekey: !include ./somefile.yaml